//START SNIPPET: sample-java

/**
 * 
 */
package org.javabuilders.swing.jide.samples;

import javax.swing.JFrame;
import javax.swing.SwingUtilities;
import javax.swing.UIManager;

import org.javabuilders.BuildResult;
import org.javabuilders.swing.SwingBuilder;
import org.javabuilders.swing.jide.SwingJideOssConfig;

/**
 * JideOssFrame
 * 
 * @author anavarro
 * 
 */
public final class JideOssFrame
    extends JFrame
{
    
    private BuildResult result = SwingBuilder.build(this);
    
    /**
     * Constructor.
     * 
     * @throws Exception
     */
    public JideOssFrame()
        throws Exception
    {
        //
    }
    
    /**
     * main.
     * 
     * @param arguments
     */
    public static void main(String[] arguments)
    {
        SwingUtilities.invokeLater(new Runnable()
        {
            public void run()
            {
                try
                {
                    UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
                    SwingJideOssConfig.register();
                    new JideOssFrame().setVisible(true);
                }
                catch (Exception e)
                {
                    System.err.println(e);
                }
            }
        });
    }
}

//END SNIPPET: sample-java
