/**
 * 
 */
package org.javabuilders.swing.jide;

import javax.swing.SwingUtilities;
import javax.swing.UIManager;

import org.junit.Assert;
import org.junit.Test;

/**
 * SwingJideOssConfigTest.
 * 
 * @author anavarro - 5 Jan 2009
 * 
 * <!-- $Id: PreTradeEclipseCodeTemplatesRules.xml,v 1.3 2008/03/26 09:44:02 sgollion Exp $ -->.
 */
public final class SwingJideOssConfigTest
{
    
    /**
     * testRegister.
     * 
     */
    @Test
    public void testRegister()
    {
        try
        {
            SwingUtilities.invokeAndWait(new Runnable()
            {
                
                /*
                 * (non-Javadoc)
                 * 
                 * @see java.lang.Runnable#run()
                 */
                public void run()
                {
                    try
                    {
                        UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());         
                        //START SNIPPET: sample-register-java
                        SwingJideOssConfig.register();
                        // END SNIPPET: sample-register-java
                        final JideOssTestFrame mainFrame = new JideOssTestFrame();
                        mainFrame.setVisible(true);
                        
                    }
                    catch (Throwable exception)
                    {
                        Assert.assertTrue(false);
                    }
                    
                }
            });
            Assert.assertTrue(true);
        }
        catch (Throwable exception)
        {
            Assert.assertTrue(false);
        }
    }
    
    /**
     * main
     * 
     * @param args
     */
    public static void main(final String[] args)
    {
        final SwingJideOssConfigTest jideConfigTest = new SwingJideOssConfigTest();
        jideConfigTest.testRegister();
    }
    
}
